Subject: Re: [idn] rename ToUnicode?

From: liana Ye <[email-masked]>
Date: Fri, 10 May 2002 13:05:55 -0700

I would support ToNonACE. 

Liana

On Fri, 10 May 2002 19:35:31 +0000 "Adam M. Costello"
<[email-masked]> writes:
> > Another thought, may be ToNonLDH is a more accurate name.
> 
> No, because the output of ToUnicode sometimes is LDH.
> 
> > I think ToNonAscii is much better than ToUnicode.  
> 
> No, because the output of ToUnicode sometimes is ASCII.
> 
> The only thing we can say for sure about the output of ToUnicode is 
> that
> it is never ACE.  (Well, and that it's Unicode, but all strings in 
> the
> IDNA spec are Unicode.  Even ASCII strings are Unicode, because 
> Unicode
> is an extension of ASCII.)
> 
> The only names I can think of that might be better than ToUnicode are
> ToNonACE and UnACE.  Since no one has expressed support for either of
> those, I guess we're sticking with ToUnicode.
> 
> Keld Jørn Simonsen <[email-masked]> wrote:
> 
> > I don't think that ToUnicode is the correct name, as it is really
> > 10646 that it is defined for.
> 
> The difference between ISO-10646 and Unicode is not relevant here.
> Both use the same table that maps between code points and characters.
> The difference (as I understand it) is that Unicode defines lots of
> additional information about the characters and how to handle them,
> while ISO-10646 is little more than a table and some encoding forms.
> 
> AMC
> 

________________________________________________________________
GET INTERNET ACCESS FROM JUNO!
Juno offers FREE or PREMIUM Internet access for less!
Join Juno today!  For your FREE software, visit:
http://dl.www.juno.com/get/web/.